GIT-BRANCHES-RENAME(1)

NAME
git-branches-rename - Batch renames branches with a matching prefix to another prefix

SYNOPSIS
git-branches-rename [options] BRANCH_PREFIX NEW_PREFIX

DESCRIPTION
Batch renames branches with a matching prefix to another prefix.

OPTIONS

-h, --help
    show usage information.

-v, --verbose
    print more details about what is being done.

-n, --dry-run
    do not actually rename the branches.

BRANCH_PREFIX
    a prefix that matches the start of branch names.

NEW_PREFIX
    the new prefix for the branch names.

EXAMPLES
$ git-rename-branches bug bugfix
bug/128  -> bugfix/128
bug_test -> bugfix_test
$ git-rename-branches ma backup/ma
master -> backup/master
main   -> backup/main

SEE ALSO
https://github.com/MestreLion/git-tools

AUTHOR
Rodrigo Silva (MestreLion) linux@rodrigosilva.com